%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdenetwork

Name: %{pkg}2
Icon: kde-icon.xpm
Summary: K Desktop Environment - Network Applications
Version: 1.93
Release: 1
Epoch: 6
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
Group: Applications/Networking
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
Requires: kdesupport2
Prefix: /usr/lib/kde2
#Obsoletes: ktalk
ExcludeArch: ia64

%description
Networking applications for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
%ifnarch alpha
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
%endif
./configure --prefix=%{prefix}
make -j $CPUS

%install
make install DESTDIR=$RPM_BUILD_ROOT
for i in $RPM_BUILD_ROOT/%{prefix}/bin/*; do
  strip -r .comment $i || :
done

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

echo "%docdir %{_docdir}/kde" >> $RPM_BUILD_DIR/file.list.%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files -f ../file.list.%{pkg}

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
